#include <dirent.h>
#include <stdio.h>

void listujPliki(const char *nazwa_sciezki) {
  struct dirent *plik;
  DIR *sciezka;
 
  if ( (sciezka = opendir(nazwa_sciezki))) {
    while( (plik = readdir(sciezka)) )
      puts(plik->d_name);

    closedir(sciezka);
  }
  else 
    printf("! wywołując funkcję opendir(%s) pojawił się błąd otwarcia strumienia dla danej ścieżki, może nie istnieje, lub podano ścieżkę pustą\n", nazwa_sciezki);
}

main(int argc, char **argv) {
  if(argc>1)
    listujPliki(argv[1]);
  else
    listujPliki(".");
}	//    gcc     listowanie.c -o listowanie && ./listowanie
